<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>Uses of Package ch.sebi.zuul.logic.items</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package ch.sebi.zuul.logic.items";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/items/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package ch.sebi.zuul.logic.items" class="title">Uses of Package<br>ch.sebi.zuul.logic.items</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.normal">ch.sebi.zuul.command.executors.normal</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.condition">ch.sebi.zuul.logic.condition</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items">ch.sebi.zuul.logic.items</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items.items.food">ch.sebi.zuul.logic.items.items.food</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items.items.weapon">ch.sebi.zuul.logic.items.items.weapon</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.map">ch.sebi.zuul.logic.map</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.player">ch.sebi.zuul.logic.player</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.normal">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> used by <a href="../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Inventory.html#ch.sebi.zuul.command.executors.normal">Inventory</a>
<div class="block">An inventory</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Item.html#ch.sebi.zuul.command.executors.normal">Item</a>
<div class="block">An interface which implements the basic of an item</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/ItemSlot.html#ch.sebi.zuul.command.executors.normal">ItemSlot</a>
<div class="block">An item slot represents an item with the amount of that item which is stored in the slot</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.condition">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> used by <a href="../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Item.html#ch.sebi.zuul.logic.condition">Item</a>
<div class="block">An interface which implements the basic of an item</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> used by <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Item.html#ch.sebi.zuul.logic.items">Item</a>
<div class="block">An interface which implements the basic of an item</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/ItemSlot.html#ch.sebi.zuul.logic.items">ItemSlot</a>
<div class="block">An item slot represents an item with the amount of that item which is stored in the slot</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items.items.food">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> used by <a href="../../../../../ch/sebi/zuul/logic/items/items/food/package-summary.html">ch.sebi.zuul.logic.items.items.food</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/BasicItem.html#ch.sebi.zuul.logic.items.items.food">BasicItem</a>
<div class="block">A class which represents an item</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Item.html#ch.sebi.zuul.logic.items.items.food">Item</a>
<div class="block">An interface which implements the basic of an item</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Usable.html#ch.sebi.zuul.logic.items.items.food">Usable</a>
<div class="block">A interface which annotates a if an item is usable</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items.items.weapon">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> used by <a href="../../../../../ch/sebi/zuul/logic/items/items/weapon/package-summary.html">ch.sebi.zuul.logic.items.items.weapon</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/BasicItem.html#ch.sebi.zuul.logic.items.items.weapon">BasicItem</a>
<div class="block">A class which represents an item</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Item.html#ch.sebi.zuul.logic.items.items.weapon">Item</a>
<div class="block">An interface which implements the basic of an item</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Weapon.html#ch.sebi.zuul.logic.items.items.weapon">Weapon</a>
<div class="block">If a class extends from this class, then it can be used as a weapon in battle</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.map">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> used by <a href="../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Item.html#ch.sebi.zuul.logic.map">Item</a>
<div class="block">An interface which implements the basic of an item</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/ItemSlot.html#ch.sebi.zuul.logic.map">ItemSlot</a>
<div class="block">An item slot represents an item with the amount of that item which is stored in the slot</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.player">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> used by <a href="../../../../../ch/sebi/zuul/logic/player/package-summary.html">ch.sebi.zuul.logic.player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Inventory.html#ch.sebi.zuul.logic.player">Inventory</a>
<div class="block">An inventory</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../ch/sebi/zuul/logic/items/class-use/Weapon.html#ch.sebi.zuul.logic.player">Weapon</a>
<div class="block">If a class extends from this class, then it can be used as a weapon in battle</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/items/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
